impute {bnstruct} | R Documentation

## Impute a `BNDataset` raw data with missing values.

### Description

Impute a `BNDataset` raw data with missing values.

### Usage

    impute(object, k.impute = 10)

    ## S4 method for signature 'BNDataset'
    impute(object, k.impute = 10)

### Arguments

`object` | the `BNDataset` object.
`k.impute` | number of neighbours to be used; for discrete variables we use mode, for continuous variables the median value is instead taken.

### Examples

    ## Not run:
    dataset <- BNDataset("file.data", "file.header")
    dataset <- impute(dataset)

    ## End(Not run)

[Package bnstruct version 1.0.6 Index]